package com.cab.model;

import java.util.Date;

public class PointsDetail {
    private Integer id;

    private Integer type;

    private Integer points;

    private String remarks;

    private Date createTime;

    private String createUser;
    
    private Integer total;//某个积分任务的完成个数
    
    private Integer ceiling;//某个积分任务的总任务数
    
    private Integer oneTask;//某个积分任务的单个积分

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getPoints() {
        return points;
    }

    public void setPoints(Integer points) {
        this.points = points;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

	public Integer getTotal() {
		return total;
	}

	public Integer getCeiling() {
		return ceiling;
	}

	public void setTotal(Integer total) {
		this.total = total;
	}

	public void setCeiling(Integer ceiling) {
		this.ceiling = ceiling;
	}

	public Integer getOneTask() {
		return oneTask;
	}

	public void setOneTask(Integer oneTask) {
		this.oneTask = oneTask;
	}
    
    
}